Skip to main content
GET
List published requests across integrators
GET /published-requests requires a valid x-api-key. Short-lived session tokens are not accepted on this endpoint. Private-chain results are only returned when the API key has an explicit grant for those chains.

Headers

x-api-key
string

Required API key.

Query Parameters

term
string
id
string
orderId
string
depositTxHash
string
fillTxHash
string
refundTxHash
string
user
string
recipient
string
originChainId
number
destinationChainId
number
status
enum<string>
Available options:
success,
failure,
refund,
pending,
depositing
currencyInChainId
number
currencyOutChainId
number
currencyInAddress
string
currencyOutAddress
string
currencyInSymbol
string
currencyOutSymbol
string
chainId
number
privateChainsToInclude
string
startTimestamp
number
endTimestamp
number
startBlock
number
endBlock
number
filters
string

JSON array of OR groups. Fields within a group are ANDed. Supports not: prefixes, arrays, and null checks for public identity, status, chain, and currency filters.

sortBy
enum<string>
default:createdAt
Available options:
createdAt,
updatedAt
sortDirection
enum<string>
default:desc
Available options:
asc,
desc
includeTotal
boolean
default:false
limit
number
default:20
Required range: 1 <= x <= 100Must be a multiple of 1
continuation
string

Response

Default Response

requests
object[]
required
continuation
string
total
number